<?php
  define('DSN', 'mysql:host=localhost;dbname=lamp_test;charset=utf8');
  define('DB_USERNAME', 'lampuser');
  define('DB_PASSWORD', 'DBユーザのパスワード');

  try {
    $_db = new PDO(DSN, DB_USERNAME, DB_PASSWORD);
    $_db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
  } catch(PDOException $e){
    echo $e->getMessage();
    exit;
  } 

  $stmt = $_db->query("SELECT * FROM prefectures ORDER BY id ASC");
  $prefectures = $stmt->fetchAll(PDO::FETCH_ASSOC);
  
  function escape($s){
    return htmlspecialchars($s, ENT_QUOTES, 'UTF-8');
  } 
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>lamp-test</title>
  </head>
  <body>
    <ul>
    <?php foreach($prefectures as $prefecture): ?>    
      <?php echo "<li>".escape($prefecture['name'])."</li>" ?> 
    <?php endforeach ?>
    </ul>
  </body>
</html>